export type HookResultKey = string | number | symbol;
export default class HookResult<T extends Record<HookResultKey, V>, V = any> {
    _data: Map<HookResultKey, V>;
    constructor(data: T, order?: (keyof T)[]);
    [Symbol.iterator](): MapIterator<V>;
}
